<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Decl. Values</TITLE>
<link href="builder_36.html" rel=Next>
<link href="builder_34.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_34.html">previous</A>, <A HREF="builder_36.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC66" HREF="builder_toc.html#TOC66">Values and Literals</A></H2>

<P>
These constructors can be used to place immediate values in the SUIF code.
Operator overloading section <A HREF="builder_32.html#SEC63">Constructing Expressions Using Operator Overloading</A> also handles
immediate values in expressions. But we recommend explicit conversion of
immediates to block class before use.

</P>
<P>
<A NAME="IDX596"></A>
<A NAME="IDX597"></A>
<A NAME="IDX598"></A>

<PRE>
     block(char *)
<A NAME="IDX599"></A><A NAME="IDX600"></A>     block val(char * c)
     block(int);
     block val(int i)   
     block(double);
     block val(double d)
     block(float);
     block val(float d) 
<A NAME="IDX601"></A><A NAME="IDX602"></A><A NAME="IDX603"></A><A NAME="IDX604"></A><A NAME="IDX605"></A><A NAME="IDX606"></A><A NAME="IDX607"></A><A NAME="IDX608"></A><A NAME="IDX609"></A><A NAME="IDX610"></A>
     block(immed im) 
<A NAME="IDX611"></A><A NAME="IDX612"></A></PRE>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_34.html">previous</A>, <A HREF="builder_36.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
